Scriptname kuBFAIPlayerS extends ReferenceAlias  

Function checkMenuMode (Int menuModeId = 1)
	kuBFAIQS mainQuest = GetOwningQuest () as kuBFAIQS
	If Utility.IsInMenuMode ()
		mainQuest.OnMenuMode (menuModeId)
	EndIf
EndFunction

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	checkMenuMode ()
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	checkMenuMode ()
EndEvent

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	; If !Utility.IsInMenuMode ()
	; 	kuBFAIQS mainQuest = GetOwningQuest () as kuBFAIQS
	; 	mainQuest.OnMagicEffectApply (GetActorReference (), akCaster, akEffect)
	; Else
		checkMenuMode ()
	; EndIf
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	checkMenuMode ()
	kuBFAIQS mainQuest = GetOwningQuest () as kuBFAIQS
	; mainQuest.debugTrace ("OnObjectEquipped " + akBaseObject + " " + akReference)
	MiscObject firstAidKit = mainQuest.kuBFAIBandages as MiscObject
	MiscObject firstHalfAidKit = mainQuest.kuBFAIBandages25Perc as MiscObject
	MiscObject PaperRoll = mainQuest.PaperRoll as MiscObject
	If akBaseObject == firstAidKit || akBaseObject == firstHalfAidKit
		Actor thisRef = GetActorReference ()
		mainQuest.treatInjuries (thisRef, akBaseObject as MiscObject)

	ElseIf akBaseObject == PaperRoll
		; mainQuest.makeBandages ()
		mainQuest.makeBandages2 ()
	EndIf
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	checkMenuMode ()
EndEvent
